| Home | Libraries | People | FAQ | More

##### url::remove_fragment

Remove the fragment.

###### Synopsis

    url&
    remove_fragment();

###### Description

This function removes the fragment. An empty fragment is distinct from having no fragment.

###### Example

    assert( url( "?first=john&last=doe#anchor" ).remove_fragment().buffer() == "?first=john&last=doe" );

###### Postconditions

    this->has_fragment() == false && this->encoded_fragment() == ""

###### Complexity

Constant.

###### Exception Safety

Throws nothing.

###### BNF

    fragment    = *( pchar / "/" / "?" )

###### Specification

- 3.5. Fragment

###### See Also

`remove_fragment`, `set_encoded_fragment`, /root/project/libs/url/include/boost/url/url.hpp